Page MenuHomeFreeBSD

Switch lang/pocl to build with llvm38
ClosedPublic

Authored by rezny on Mar 16 2017, 6:39 PM.

Details

Summary

From PR 217462: Due to a general desire to clear dependencies on older LLVM versions and specifically to avoid conflicts observed between llvm39 and llvm37, switch lang/pocl to building with llvm38, this elimating the last dependent or llvm37. When pocl 0.14 is released (currently there is a RC), it can be switched to llvm39 or llvm40. Maintainer has timed out.

Test Plan

Poudriere 11.0 amd64 OK (amd64 only, broken on 10)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.